%define upstream_name    Monitoring-Livestatus-Class
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class for servicesbyhostgroup table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(Monitoring::Livestatus) >= 0.540.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is an object-oriented interface for Monitoring::Livestatus

*The module is still in an early stage of development, there can be some
api changes between releases.*

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513114
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 342387
- update to 0.04

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 37586
- mageia rebuild
- imported package perl-Monitoring-Livestatus-Class


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 627250
- import perl-Monitoring-Livestatus-Class

